Skip to main content
PUT
/
v1
/
uploads
/
{uploadId}
Upload a file chunk
curl --request PUT \
  --url https://api.example.com/v1/uploads/{uploadId} \
  --header 'Authorization: Bearer <token>'
{
  "uploadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "uploading",
  "bytesReceived": 123,
  "correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Clerk session JWT or Unkey API key passed as Bearer token

Headers

x-external-user-id
string

Optional. Identifies the end-user when authenticating with an API key. Ignored when authenticating with a Clerk JWT (the user ID is extracted from the token).

Example:

"user_abc123"

x-external-user-email
string<email>

Optional. Email of the external user, used for audit logging. Only applicable when authenticating with an API key.

Example:

"user@example.com"

Path Parameters

uploadId
string<uuid>
required

Upload ID

Response

Chunk accepted or upload completed

uploadId
string<uuid>
required
status
enum<string>
required
Available options:
uploading,
completed
bytesReceived
integer
required

Total bytes the server has received so far

correlationId
string<uuid>
required

Correlation ID for request tracing. Include in support requests.